<?php if (!defined('PmWiki')) exit();
/**
 * functions.php
 * @author V.Krishn (vkrishn@ainsteps.net), Copyright 2009
 * @note This file is part of Cookbook recipe "Jscm" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package jscm
 */

// **********************************************************
// Some fuctions
// **********************************************************


// *******************************************************
function jscm_set_cm_file($cmpagename) {
global $Jscm;
//$cmfileFmt = "uploads/Content/$cmpagename".".txt";
$cmfileFmt = $Jscm['default']['MenuFilePath']."$cmpagename.js";
if (file_exists($cmfileFmt)) {
  $cmfileUrl = dirname($_SERVER['SCRIPT_NAME'])."/$cmfileFmt";
  $cmsourcefmt = "<script language='JavaScript' type='text/javascript' src='$cmfileUrl'></script>";
}
 return $cmsourcefmt;
}
function jscm_set_cm_source($cmpagename,$action) {
if (PageExists($cmpagename)) {
  $cmpagenameUrl = FmtPageName('$PageUrl', $cmpagename);
  $cmpagenameUrlFmt = $cmpagenameUrl.$action;
  $cmsourcefmt = "<script language='JavaScript' type='text/javascript' src='$cmpagenameUrlFmt'></script>";
}
 return $cmsourcefmt;
}

function jscm_get_cmfile_url_fmt($cmfilename) {
}
function jscm_get_cmpage_url_fmt($cmpagename) {
}

function jscm_get_page_content($cmpagename) {
  if (PageExists($cmpagename)) {
    $page = RetrieveAuthPage($cmpagename,'read');
    $cmpagefmt = @$page['text'] . "\n";
    return $cmpagefmt;
  }
  return;
}

// *******************************************************

function jscm_get_theme_fmt($cmTheme,$cmThemeDir,$cmThemeBase,$cmScriptDUrl) {
  $cmThemeFmt = "
  <!-- $cmTheme -->
  <script language='JavaScript' type='text/javascript'>
  <!--
  var $cmThemeBase = '$cmScriptDUrl/themes/$cmThemeDir/';
  // -->
  </script>
  <link rel='stylesheet' type='text/css' href='$cmScriptDUrl/themes/$cmThemeDir/theme.css' />
  <script language='JavaScript' type='text/javascript' src='$cmScriptDUrl/themes/$cmThemeDir/theme.js'></script>
  <!-- /$cmTheme -->\n";

  return $cmThemeFmt;
}

function jscm_set_draw_fmt($cmDrawMap, $count) {
  global $Jscm, $EnableJscmDebug;

  foreach ($cmDrawMap as $k => $v) { $$k = $v; }

    if ($count == '4') {
        $cmContainerFmt = "\n<div id='$cmID'></div>";
        $cmDrawValues = "cmDraw ('$cmID', $cmMenu, '$cmOrient', $cmTheme, '$cmThemeDir');";
    }
    else if ($count == '3') {
       $cmDrawValues = "cmDrawFromText ('$cmID', '$cmOrient', $cmTheme, '$cmThemeDir');";
    }
    else {
       $cmDrawValues = "";
    }
  if($EnableJscmDebug > 0) {
    $Jscm['debug']['msg']['cmDrawValues'][] = $cmDrawValues;
  }

  $cmDrawFmt = "\n<script language='JavaScript' type='text/javascript'><!--
  $cmDrawValues
  // --></script>";
  $cmDrawHtmlFmt = $cmContainerFmt . $cmDrawFmt;

  if($cmDrawValues != "") return $cmDrawHtmlFmt;
}

// *******************************************************


// *******************************************************
function jscm_get_cmdraw_html_fmt() {
  $cmContainerFmt = "<div id='$cmID'></div>\n";
  $cmDrawFmt = "<script language='JavaScript' type='text/javascript'><!--
  cmDraw ('$cmID', $cmMenu, '$cmOrient', $cmTheme, '$cmThemeDir');
  // -->
  </script>";
  $cmDrawHtmlFmt = $cmContainerFmt . $cmDrawFmt;
  return $cmDrawHtmlFmt;
}
// *******************************************************


## JsCookMenu lib/js files
// *******************************************************
function jscm_set_lib() {
global $Jscm, $HTMLHeaderFmt;
$jscmInstallUrl = &$Jscm['Install']['dirUrl'];
$HTMLHeaderFmt['jscmLib'] = "
<!--jscmLibFmt-->
<script language='JavaScript' type='text/javascript' src='$jscmInstallUrl/js/JSCookMenu.js'></script>
<script language='JavaScript' type='text/javascript' src='$jscmInstallUrl/js/effect.js'></script>
<!--/jscmLibFmt-->";
//$HTMLHeaderFmt['cmSource'] = "\n".implode("\n", $cmSources);
}

## Initiate jscookmenu lib
  function jscm_init_lib() {
    static $init_count;
    if($init_count < 1) {
      global $Jscm;
      jscm_set_lib();
      $Jscm['theme']['style'] = array();
      include_once($Jscm['Current']['dir'].'/themes/themes.php');
    }
    $init_count++;
    return;
  }
// *******************************************************

// *******************************************************

/**
 * Set/Show debug.
 * @param int value for debug level
 */
// *******************************************************
  function JscmDebug($EnableJscmDebug=0) {
    global $Jscm;
    if(1 === $EnableJscmDebug) {
      $jscmDebugMsg = print_r($Jscm['debug']['msg'], true);
}
    if(2 === $EnableJscmDebug) {
      $jscmDebugMsg = print_r($Jscm, true);
}
    return $jscmDebugMsg;
}
// *******************************************************

